FruxonDocs
AgentsExecution Records

Lists execution records for an agent.

Returns a paginated list of all executions, ordered by most recent first. Optionally filter by time range using the startTime and endTime parameters.

GET
/v1/tenants/{tenant}/agents/{agent}/execution-records

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

Query Parameters

PageSize?integer
Formatint32
PageToken.Skip?integer
Formatint32
startTime?integer

Filter start time (Unix timestamp in milliseconds, inclusive).

Formatint64
endTime?integer

Filter end time (Unix timestamp in milliseconds, inclusive).

Formatint64

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/execution-records"
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "agentId": "string",
      "agentRevision": 0,
      "startTime": 0,
      "endTime": 0,
      "inputTokens": 0,
      "outputTokens": 0,
      "cachedTokens": 0,
      "hasResult": false,
      "hasTrace": false,
      "isSample": false,
      "trigger": {
        "type": 0,
        "id": "string",
        "provider": "string"
      },
      "destinations": [],
      "environmentSlug": "string",
      "createdAt": 0,
      "tenantId": "00000000-0000-0000-0000-000000000000",
      "inputCost": 0,
      "outputCost": 0,
      "cachedCost": 0,
      "thinkingCost": 0,
      "totalCost": 0
    }
  ],
  "nextPageToken": "string"
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}